#!/bin/bash
g++ -c -Wall -fPIC pmd.c -I ./include -o pmd.o
g++ -c -Wall -fPIC usb-1608FS.c -I ./include -o usb-1608FS.o
g++ -c -Wall -fPIC pmd1608FS.cpp -I ./include -o pmd1608FS.o
g++ -shared -Wl,-soname,PMD1608lib.so -o PMD1608lib.so \
     pmd.o \
     usb-1608FS.o \
     pmd1608FS.o
g++ -o calibrate calibrate1608.cpp PMD1608lib.so
sudo cp PMD1608lib.so /usr/lib
